## org.mortbay.jetty.client
Class HttpConnection

    java.lang.Object
      org.mortbay.jetty.client.HttpConnection

All Implemented Interfaces:
  Connection

    public class HttpConnection

extends Object
implements Connection

Author:
  Greg Wilkins, Guillaume Nodet

Field Summary
`String` `_message`
`Throwable` `_throwable`

Method Summary
`void` `close()`
`void` `dump()`
`HttpDestination` `getDestination()`
`EndPoint` `getEndPoint()`
`long` `getLast()`
`void` `handle()`
`boolean` `isIdle()`
`protected void` `reset(boolean returnBuffers)`
`boolean` `send(HttpExchange ex)`
`void` `setDestination(HttpDestination destination)`
`void` `setLast(long last)`
`String` `toDetailString()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _message

    public String _message

### _throwable

    public Throwable _throwable

Method Detail

### dump

    public void dump()
              throws IOException

  Throws:
    `IOException`

### getDestination

    public HttpDestination getDestination()

### setDestination

    public void setDestination(HttpDestination destination)

### send

    public boolean send(HttpExchange ex)
                 throws IOException

  Throws:
    `IOException`

### handle

    public void handle()
                throws IOException

  Specified by:
    `handle` in interface `Connection`
  Throws:
    `IOException`

### isIdle

    public boolean isIdle()

  Specified by:
    `isIdle` in interface `Connection`

### getEndPoint

    public EndPoint getEndPoint()

### reset

    protected void reset(boolean returnBuffers)
                  throws IOException

  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toDetailString

    public String toDetailString()

### getLast

    public long getLast()

  Returns:
    the last

### setLast

    public void setLast(long last)

  Parameters:
    `last` - the last to set

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.